//
//  Created by Ivano Bilenchi on 07/02/18.
//  Copyright © 2018-2020 SisInf Lab. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol OWLObjectProperty;

NS_ASSUME_NONNULL_BEGIN

/**
 * Models cardinality roles.
 *
 * @see `TMESemanticDescription`
 */
@interface TMECardinalityRole : NSObject <NSCopying>

/// Property of this cardinality role.
@property (nonatomic, copy, readonly) id<OWLObjectProperty> property;

/// Cardinality of this role.
@property (nonatomic, readonly) NSUInteger cardinality;

/// :nodoc:
- (instancetype)init UNAVAILABLE_ATTRIBUTE;

@end

NS_ASSUME_NONNULL_END
