//
//  Created by Ivano Bilenchi on 06/06/18.
//  Copyright © 2018-2020 SisInf Lab. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/// Utility class containing methods that return API metadata.
@interface TMEReasonerMetadata : NSObject

/// @return Name of the reasoner.
+ (NSString *)name;

/// @return Description of the reasoner.
+ (NSString *)description;

/// @return Reasoner version string.
+ (NSString *)version;

/// @return Reasoner vendor.
+ (NSString *)vendor;

/// @return Reasoner vendor URL.
+ (NSString *)vendorURL;

/// @return Comprehensive reasoner info (multiline).
+ (NSString *)info;

@end

NS_ASSUME_NONNULL_END
